Yes, they are compatible with macOS High Sierra. 

Did this answer your question?